Bug 706241 (CVE-2011-0868)

Summary: CVE-2011-0868 OpenJDK: incorrect numeric type conversion in TransformHelper (2D, 7016495)
Product: [Other] Security Response Reporter: Marc Schoenefeld <mschoene>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: ahughes, aph, dbhole, jvanek, mjc, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-07-29 12:47:18 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 668488, 676275, 709375, 709376, 711408, 711409, 711410, 720963, 720964, 720965    
Bug Blocks:    

Description Marc Schoenefeld 2011-05-19 20:39:53 UTC
An incorrect float-to-long conversion, leading to an overflow, was found in the way certain objects (such as images and text) were transformed in Java2D. A remote attacker could use this flaw to crash an untrusted applet or application that uses Java2D.

Comment 7 errata-xmlrpc 2011-06-08 14:32:04 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0856 https://rhn.redhat.com/errata/RHSA-2011-0856.html

Comment 8 errata-xmlrpc 2011-06-08 14:54:01 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0857 https://rhn.redhat.com/errata/RHSA-2011-0857.html

Comment 9 errata-xmlrpc 2011-06-08 15:25:33 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2011:0860 https://rhn.redhat.com/errata/RHSA-2011-0860.html

Comment 11 errata-xmlrpc 2011-07-15 05:57:39 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2011:0938 https://rhn.redhat.com/errata/RHSA-2011-0938.html

Comment 12 errata-xmlrpc 2013-10-23 16:58:12 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4

Via RHSA-2013:1455 https://rhn.redhat.com/errata/RHSA-2013-1455.html